SignSecureSignSecure Docs
Recipients

Remove Recipient

Remove a recipient from a document. Document must be in `draft` status.

DELETE
/documents/{documentId}/recipients/{recipientId}

Remove a recipient from a document. Document must be in draft status.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

recipientId*string

The recipient ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.signsecure.com/api/v1/documents/string/recipients/string"
Empty
{
  "code": "INVALID_STATUS",
  "message": "Cannot remove recipients from a document that is not in draft status",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Recipient not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}